package gui;

import java.awt.BorderLayout;

import javax.swing.*;

import db.DataLoader;

public class DecompositionTabPanel extends JPanel{

	 DecompositionController dc;
	 DataLoader loader = DataLoader.getInstance();
		
	public DecompositionTabPanel(DecompositionController dc) {
		super(new BorderLayout());
		this.dc = dc;
		
		FileChooserPanel fileChooser = new FileChooserPanel(dc);
		dc.setFilechooserPanel(fileChooser);
		
		BottomPanel bottom = new BottomPanel();
		dc.setBottomPanel(bottom);

		add(fileChooser, BorderLayout.CENTER);
		add(bottom, BorderLayout.SOUTH);

	}
	
}
