package model;

/**
 * Class for store pearson correlation belongs to ts_id.
 */

public class MeasurePearson implements Comparable<MeasurePearson>{

	private int ts_id;
	private double pearson;
	
	public MeasurePearson(int ts_id, double pearson) {
		this.ts_id = ts_id;
		this.pearson = pearson;
	}
	
	public int getTs_id() {
		return ts_id;
	}
	public void setTs_id(int ts_id) {
		this.ts_id = ts_id;
	}
	public double getPearson() {
		return pearson;
	}
	public void setPearson(double pearson) {
		this.pearson = pearson;
	}
	
	@Override
	public int compareTo(MeasurePearson o) {
		
	 return	Double.compare(this.pearson, o.pearson);	
	}
	
	
	
}
