package gui;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class DisplayTopPanel extends JPanel {
	
	DisplayController dc;
	JLabel label1;
	JLabel label2;
	JButton reset;
	JButton display;
	
	public DisplayTopPanel(final DisplayController dc) {
		super();
		setLayout(null);
		this.dc = dc;
		dc.setDisplayTopPanel(this);
		setPreferredSize(new Dimension(1201, 100));
		
		label1 = new JLabel("1. Choose a set ID:");
		label1.setForeground(Color.BLUE);
		label1.setBounds(0, 40, 200, 20);
		label2 = new JLabel("2. Choose a time series ID:");
		label2.setForeground(Color.BLUE);
		label2.setBounds(550, 40, 600, 20);
		reset = new JButton("Reset");
		reset.setBounds(850, 40, 80, 20);
		display = new JButton("Display");
		display.setBounds(950, 40, 80, 20);
		
		reset.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				dc.reset();
			}
		});
		
		display.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				dc.displaylog();
				dc.display();
			}
		});
		
		
		add(label1);
		add(label2);
		add(reset);
		add(display);
	}
}
