package gui;

import java.awt.BorderLayout;
import javax.swing.JPanel;


public class RecoveryTabPanel extends JPanel{

	private Controller c;

	
	public RecoveryTabPanel(Controller c) {
		super(new BorderLayout());
		this.c = c;
		initUI();
	}
	
	public void initUI() {
		setSize(1101, 740);
	

		TopPanel top = new TopPanel(c);
		BottomPanel bottom = new BottomPanel();
		c.setBottomPanel(bottom);
		
		add(top, BorderLayout.CENTER);
		add(bottom, BorderLayout.SOUTH);
	}
	

}
